Loading...
Searching...
No Matches
PolyEnumerator.h File Reference

Concrete implementation of enumerators over polynomials. More...

`#include "coeffs/Enumerator.h"`
`#include "polys/monomials/monomials.h"`
`#include "reporter/reporter.h"`

Go to the source code of this file.

## Data Structures

class | CBasePolyEnumerator
| Base polynomial enumerator for simple iteration over terms of polynomials. More...
class | CPolyCoeffsEnumerator
| This is a polynomial enumerator for simple iteration over coefficients of polynomials. More...
struct | NAConverter
class | CRecursivePolyCoeffsEnumerator< ConverterPolicy >
| go into polynomials over an alg. extension recursively More...

## Typedefs

typedef IEnumerator< number > | IPolyCoeffsEnumerator
| This is the interface we use in coeffs.h for ClearDenominators and ClearContent.

## Detailed Description

Concrete implementation of enumerators over polynomials.

Author
  Oleksandr Motsak

Definition in file PolyEnumerator.h.

## Typedef Documentation

## IPolyCoeffsEnumerator

typedef IEnumerator<number> IPolyCoeffsEnumerator

This is the interface we use in coeffs.h for ClearDenominators and ClearContent.

Definition at line 113 of file PolyEnumerator.h.